#!/bin/bash

if [ -d unpack ]; then
  sudo rm -rf unpack
fi

version="0.3.0"

mkdir -p unpack/DEBIAN

cp debian/control unpack/DEBIAN/
cp -r usr unpack/

cd unpack
find usr -type f | xargs md5sum > DEBIAN/md5sums

_size=$(du -d 0 usr | cut -f1)
sed -i "s/{{size}}/${_size}/" DEBIAN/control
sed -i "s/{{version}}/${version}/" DEBIAN/control

cd ..
dpkg-deb -b unpack/ "python3-webengine-gtk3-${version}.deb"

sudo rm -rf unpack